get
https://{nurevaDeviceIP}/api/v1/data
Allows clients to start a device data stream. The device data stream consists of sound location and device metrics data. The stream can be filtered based on event type using the events query parameter.
Minimum role required: monitor
Example Sound Location Data Body
{
"azimuth": -34,
"powerLevel": 76,
"time": "2024-11-01T18:08:24.834Z",
"coordinates": {
"x": -2688,
"y": 3932
},
"triggeredZones": [
{
"type": "Switching",
"label": "Zone 1",
"id": "40dc92d0-1b49-44c8-ada8-3a0f97b7b185"
}
],
"version": 3,
"flags": {
"powerZeroedReason": 0,
"speakerActive": false,
"voiceAmpModeActive": false,
"voiceDetected": true
}
}
Example Device Metrics Data Body
{
"backgroundNoise": 20
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…